package piac;

import java.util.Random;

import piac.porteka.Gyumolcs;
import piac.porteka.Gyumolcs.Szin;

public class SzuperNagyi extends Vasarlo {
  private boolean alkudozas;
  private Random r;
  
  public SzuperNagyi(int meret, int osszeg) {
    super(meret, (int)(osszeg * 0.8));
    r = new Random();
    alkudozas = r.nextBoolean();
  }
  
  public void vasarol(Gyumolcs gyumolcs) {
    if (gyumolcs.getAr() > getOsszeg()) {
      System.out.println("sajnos nem tudjuk megvenni a megadott gyumolcsot (" + gyumolcs + ")");
    } else if (gyumolcs.getSzin() != Szin.ZOLD && gyumolcs.getSzin() != Szin.SARGA) {
      System.out.println("sajnos csak zold vagy sarga gyumolcsot vagyok hajland megvenni");
    } else if (size >= getKosar().length) {
      System.out.println("sajnos tele a kosaram");
    } else {
      int ar = gyumolcs.getAr();
      if (alkudozas && r.nextDouble() < 0.75) {
        ar = (int)(ar * 0.9);
        megmondtam();
      }
      getKosar()[size] = gyumolcs;
      size ++;
      setOsszeg(getOsszeg() - ar);
      System.out.println("koszonom " + gyumolcs);
    }
  }
  
  private void megmondtam() {
    System.out.println("ugye unokam megmondtam, hogy ennel az arusnal lehet alkudni...");
  }
  
  public String toString() {
    return "SzuperNagyi " + super.toString() + " alkudozas=" + alkudozas;
  }

}
