package piac;

import java.util.Arrays;

import piac.porteka.Gyumolcs;
import piac.porteka.Gyumolcs.Szin;

public class Vasarlo {
  private Gyumolcs[] kosar;
  private int osszeg;
  protected int size;
  
  public Vasarlo(int meret, int osszeg) {
    kosar = new Gyumolcs[meret];
    this.osszeg = osszeg;
    size = 0;
  }

  public Gyumolcs[] getKosar() {
    return kosar;
  }

  public void setKosar(Gyumolcs[] kosar) {
    this.kosar = kosar;
  }

  public int getOsszeg() {
    return osszeg;
  }

  public void setOsszeg(int osszeg) {
    this.osszeg = osszeg;
  }
  
  public void vasarol(Gyumolcs gyumolcs) {
    if (gyumolcs.getAr() > osszeg) {
      System.out.println("sajnos nem tudjuk megvenni a megadott gyumolcsot (" + gyumolcs + ")");
    } else if (gyumolcs.getSzin() != Szin.ZOLD) {
      System.out.println("sajnos csak zold gyumolcsot vagyok hajland megvenni");
    } else if (size >= kosar.length) {
      System.out.println("sajnos tele a kosaram");
    } else {
      kosar[size] = gyumolcs;
      size ++;
      osszeg -= gyumolcs.getAr();
      System.out.println("koszonom " + gyumolcs);
    }
  }

  @Override
  public String toString() {
    return "Vasarlo: kosar=" + Arrays.toString(kosar) + " osszeg=" + osszeg;
  }
  
}
